(function (_, kotlin_kotlin) {
  'use strict';
  //region block: imports
  var toString = kotlin_kotlin.$_$.gg;
  var VOID = kotlin_kotlin.$_$.g;
  var joinToString = kotlin_kotlin.$_$.fa;
  //endregion
  //region block: pre-declaration
  //endregion
  function get_deg(_this__u8e3s4) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return toString(_this__u8e3s4) + 'deg';
  }
  function Border(width, style, color) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return '' + width + ' ' + style + ' ' + color;
  }
  function ClassName(value) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return value;
  }
  function rgb(red, green, blue, alpha) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return 'rgb(' + red + ' ' + green + ' ' + blue + ' / ' + alpha + ')';
  }
  function Color(value) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return value;
  }
  function rgb_0(red, green, blue) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return 'rgb(' + red + ' ' + green + ' ' + blue + ')';
  }
  function ident(value) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return value;
  }
  function integer(value) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return value;
  }
  function get_px(_this__u8e3s4) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return toString(_this__u8e3s4) + 'px';
  }
  function get_ch(_this__u8e3s4) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return toString(_this__u8e3s4) + 'ch';
  }
  function get_vh(_this__u8e3s4) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return toString(_this__u8e3s4) + 'vh';
  }
  function get_vw(_this__u8e3s4) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return toString(_this__u8e3s4) + 'vw';
  }
  function Margin(vertical, horizontal) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return '' + vertical + ' ' + horizontal;
  }
  function number(value) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return value;
  }
  function Padding(top, right, bottom, left) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return '' + top + ' ' + right + ' ' + bottom + ' ' + left;
  }
  function Padding_0(vertical, horizontal) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return '' + vertical + ' ' + horizontal;
  }
  function get_pct(_this__u8e3s4) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return toString(_this__u8e3s4) + '%';
  }
  function Selector(syntax) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return syntax;
  }
  function translate(tx, ty) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return 'translate(' + tx + ',' + ty + ')';
  }
  function rotate(a) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return 'rotate(' + a + ')';
  }
  function scaley(sy) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return 'scaley(' + toString(sy) + ')';
  }
  function translatey(ty) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return 'translatey(' + ty + ')';
  }
  function TransformOrigin(offsetX, offsetY) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return '' + offsetX + ' ' + offsetY;
  }
  function GridTemplateAreas(values) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return joinToString(values, '\n', VOID, VOID, VOID, VOID, GridTemplateAreas$lambda);
  }
  function GridTemplateAreas$lambda(it) {
    return "'" + joinToString(it, ' ') + "'";
  }
  function array(values) {
    // Inline function 'kotlin.js.unsafeCast' call
    // Inline function 'kotlin.js.asDynamic' call
    return joinToString(values, ' ');
  }
  //region block: exports
  _.$_$ = _.$_$ || {};
  _.$_$.a = GridTemplateAreas;
  _.$_$.b = array;
  //endregion
  return _;
}(module.exports, require('./kotlin-kotlin-stdlib.js')));
